import EntityFormTemplate from 'model/EntityFormTemplate';

const AWS_CLOUD_TRANSIT_GATEWAY_TEMPLATE: EntityFormTemplate[] = [
  {
    cloudServiceProvider: 'aws_cloud',
    entityName: 'transit_gateway',
    actionType: 'create',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'Transit gateway',
        keyValueRecords: [
          { type: 'default', labelName: 'Name', name: 'name', defaultValue: '', required: true },
          { type: 'default', labelName: 'Description', name: 'description', defaultValue: '', required: true },
          { type: 'default', labelName: 'Amazon side ASN', name: 'amazon_side_asn', defaultValue: '', required: true },
          { type: 'boolean', labelName: 'DNS support', name: 'dns_support', defaultValue: true },
          { type: 'boolean', labelName: 'VPN ECMP support', name: 'vpn_ecmp_support', defaultValue: true },
          { type: 'boolean', labelName: 'Default route table association', name: 'default_route_table_association', defaultValue: true },
          { type: 'boolean', labelName: 'Default route table propagation', name: 'default_route_table_propagation', defaultValue: true },
          { type: 'boolean', labelName: 'Multicast support', name: 'multicast_support', defaultValue: false },
          { type: 'boolean', labelName: 'Auto accept shared attachments', name: 'auto_accept_shared_attachments', defaultValue: false },
        ]
      }
    ]
  }
]

export default AWS_CLOUD_TRANSIT_GATEWAY_TEMPLATE;
